<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" xmlns:formvh="http://typo3.org/ns/TYPO3/CMS/Form/ViewHelpers" data-namespace-typo3-fluid="true">
<f:form.validationResults for="{element.rootForm.identifier}.{element.identifier}">
    <div class="form-group{f:if(condition: '{validationResults.errors.0}', then: ' has-error')} mb-3">
        <f:if condition="{doNotShowLabel} != 1">
            <label class="text-darkBlue form-label text-uppercase" for="{element.uniqueIdentifier}">{formvh:translateElementProperty(element: element, property: 'label')}<f:if condition="{element.required}"><f:render partial="Field/Required" /></f:if></label>
        </f:if>
        <f:format.raw>
            {elementContent}
            <f:if condition="{validationResults.flattenedErrors}">
                <div class="error form-text" role="alert">
                    <f:for each="{validationResults.errors}" as="error">
                        <f:format.htmlspecialchars>{formvh:translateElementError(element: element, error: error)}</f:format.htmlspecialchars>
                        <br />
                    </f:for>
                </div>
            </f:if>
        </f:format.raw>
        <f:if condition="{element.properties.elementDescription}">
            <label class="text-darkBlue form-label normal">{formvh:translateElementProperty(element: element, property: 'elementDescription')}</label>
        </f:if>
    </div>
</f:form.validationResults>
</html>
